Bug 243346 - textproc/libxml2: Remove gmake dependency (also in libxml2-reference)
Summary: textproc/libxml2: Remove gmake dependency (also in libxml2-reference)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-desktop (Team)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-13 23:20 UTC by daniel.engberg.lists
Modified: 2020-01-18 20:16 UTC (History)
1 user (show)

See Also:
tcberner: maintainer-feedback+


Attachments
Patch for both libxml2 and libxml2-reference (3.35 KB, patch)
2020-01-13 23:20 UTC, daniel.engberg.lists
no flags Details | Diff
Poudriere log libxml2 (109.72 KB, text/plain)
2020-01-13 23:23 UTC, daniel.engberg.lists
no flags Details
Poudriere log libxml2-reference (25.49 KB, text/plain)
2020-01-13 23:24 UTC, daniel.engberg.lists
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-01-13 23:20:46 UTC
Created attachment 210720 [details]
Patch for both libxml2 and libxml2-reference

Remove gmake dependency in both libxml2 and libxml2-reference

Tested on FreeBSD 13.0-CURRENT r356392 (amd64), FreeBSD 13.0-CURRENT r356372 (arm64).
Comment 1 daniel.engberg.lists 2020-01-13 23:23:41 UTC
Created attachment 210721 [details]
Poudriere log libxml2
Comment 2 daniel.engberg.lists 2020-01-13 23:24:10 UTC
Created attachment 210722 [details]
Poudriere log libxml2-reference
Comment 3 Tobias C. Berner freebsd_committer 2020-01-14 05:29:35 UTC
Moin moin

Cool, thanks. This will require some testing, if gmake is really not required, first though (options' targets etc).

mfg Tobias
Comment 4 Tobias C. Berner freebsd_committer 2020-01-18 20:16:26 UTC
Committed. Thanks

The package is broken when VALID is off, but this is unrelated to this change.
Comment 5 commit-hook freebsd_committer 2020-01-18 20:16:35 UTC
A commit references this bug:

Author: tcberner
Date: Sat Jan 18 20:16:01 UTC 2020
New revision: 523496
URL: https://svnweb.freebsd.org/changeset/ports/523496

Log:
  textproc/libxml2: Remove gmake dependency

  - remove dependency on gmake in textproc/libxml2 and textproc/libxml2-reference

  PR:		243346
  Submitted by:	daniel.engberg.lists@pyret.net

Changes:
  head/textproc/libxml2/Makefile
  head/textproc/libxml2-reference/Makefile